Skip to content

List a contact's wins

GET
/v1/contacts/{contact}/wins
curl --request GET \
--url https://api.caller9.app/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/wins \
--header 'Authorization: Bearer <token>'

Returns the contact’s contest win history, newest first.

contact
required
string format: uuid

Contact ID (UUID).

Wins.

Media typeapplication/json
object
wins
required
Array<object>
object
guid
string
studio_guid
string
won_at
string format: date-time
prize
string | null

Example generated

{
"wins": [
{
"guid": "example",
"studio_guid": "example",
"won_at": "2026-04-15T12:00:00Z",
"prize": "example"
}
]
}

Missing, invalid, expired or revoked API key.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}

Not found, or belongs to another organization.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}

Too many requests for this API key. Retry after Retry-After seconds.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}
Retry-After
integer

Seconds until the rate-limit window resets.